<script setup>
// Import Swiper Vue.js components
import { Swiper, SwiperSlide } from "swiper/vue";

// Import Swiper styles
import "swiper/css";

import "swiper/css/pagination";

// import required modules
import { Pagination, EffectCreative, Autoplay } from "swiper/modules";
</script>
<template>
  <swiper
    :modules="[Pagination, EffectCreative, Autoplay]"
    :slides-per-view="1"
    :loop="true"
    :autoplay="{
      delay: 2500,
      disableOnInteraction: false,
      pauseOnMouseEnter: true,
    }"
    :effect="'creative'"
    :creativeEffect="{
      prev: {
        shadow: false,
        translate: ['-20%', 0, -1],
      },
      next: {
        translate: ['100%', 0, 0],
      },
    }"
    :pagination="{
      dynamicBullets: true,
    }"
    class="rounded-xl shadow-lg"
  >
    <swiper-slide
      ><img
        class="aspect-[16/7] object-cover object-center"
        src="/img/slide1.jpg"
        alt="slide-image"
    /></swiper-slide>
    <swiper-slide
      ><img
        class="aspect-[16/7] object-cover object-center"
        src="/img/slide1.jpg"
        alt="slide-image"
    /></swiper-slide>
    <swiper-slide
      ><img
        class="aspect-[16/7] object-cover object-center"
        src="/img/slide2.jpg"
        alt="slide-image"
    /></swiper-slide>
    <swiper-slide
      ><img
        class="aspect-[16/7] object-cover object-center"
        src="/img/slide3.jpg"
        alt="slide-image"
    /></swiper-slide>
  </swiper>
</template>
